#ifndef _IMAGE_H
#define _IMAGE_H

typedef struct image *Image;

extern Image   creerImage(int largeur, int hauteur);
extern void    libererImage(Image this);
extern Image   copieImage   (Image this);

extern unsigned short   lirePixelImage(Image this, int colonne, int ligne);
extern void   ecrirePixelImage(Image this, int colonne, int ligne, unsigned short c);

extern int    lireLargeurImage(Image this);
extern int    lireHauteurImage(Image this);

extern Image  extractSubImage(Image this, int colonne, int ligne, int largeur, int hauteur);
extern void   afficheImage(Image this);

#endif
